experimental/optional File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Classes

class | std::experimental::fundamentals_v1::bad_optional_access
struct | std::hash< experimental::optional< _Tp > >
struct | std::experimental::fundamentals_v1::in_place_t
struct | std::experimental::fundamentals_v1::nullopt_t
class | std::experimental::fundamentals_v1::optional< _Tp >

## Namespaces

| std
| std::experimental

## Macros

#define | __cpp_lib_experimental_optional
#define | _GLIBCXX_EXPERIMENTAL_OPTIONAL

## Variables

constexpr in_place_t | std::experimental::in_place
constexpr nullopt_t | std::experimental::nullopt

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/optional.